#!/usr/bin/env bash
#
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

file_path="${DIR}/test_document.org"

INIT_SCRIPT=$(cat <<EOF
(progn
     (erase-buffer)
     (require 'org)
     (defun org-table-align () t)
     (setq vc-handled-backends nil)
     (find-file-read-only "/input/${file_path}")
     (setq-default org-element-affiliated-keywords (list "foo"))
     (org-mode)
     (message "%s" (pp-to-string (org-element-parse-buffer)))
)
EOF
)

exec docker run --init --rm -i --mount type=tmpfs,destination=/tmp -v "/:/input:ro" -w /input --entrypoint "" organic-test emacs -q --no-site-file --no-splash --batch --eval "$INIT_SCRIPT"
